<?php $renax_options = get_option('renax'); ?>
<?php
if ( post_password_required() ) {
	return;
}
?>
<?php
if ( have_comments() ) : ?>
<div class="col-lg-6 col-md-12">
	<div class="clear" id="comment-list">
		<div class="comments-area" id="comments">
			<!-- section start -->
			<h5 class="comments-title">
				<?php
					$comment_count = get_comments_number();
					if ( 1 === $comment_count ) {
						printf(
							esc_html_e( 'One thought on &ldquo;%1$s&rdquo;', 'renax' ), '<span>' . get_the_title() . '</span>'
						);
					} else {
						printf( 
							esc_html( _nx( '%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', $comment_count, 'comments title', 'renax' ) ),
							number_format_i18n( $comment_count ),'<span>' . get_the_title() . '</span>'
						);
					} ;?>
			</h5>
			<!-- blog comments start -->
			<?php the_comments_navigation(); ?>
			<ol class="comment-list">
				<?php
					wp_list_comments( array(
					'callback'   => 'renax_comment',
					'short_ping' => true,
				) );
				?>            
			</ol>
		<?php 
		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) : ?>
		<p class="no-comments"><?php if(!empty($renax_options['translet_opt_13'])):?><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('translet_opt_13',''));?><?php else: ?><?php esc_html_e( 'Comments are closed.', 'renax' ); ?><?php endif;?></p>
		<?php
		endif; ?>
		</div>
	</div>
</div>
<?php endif; // Check for have_comments(). ?>
<!-- section start -->

<div class="col-lg-5 <?php if ( have_comments() ) { ?>offset-lg-1<?php } ;?> col-md-12">
<div class="form-box">
<?php
$renax_args = array(
'class_form' => 'row',
'fields' => apply_filters(
'comment_form_default_fields', array(
'author' =>'' . '<div class="col-md-12 form-group"><input id="author" class="requiredField name tt-form-control tt-form-lg"  placeholder="'.esc_attr__('Name *','renax').'" name="author" type="text" value="'.esc_attr( $commenter['comment_author'] ) . '" size="40"/></div>'.'',
'email'  => '<div class="col-md-12 form-group"><input id="email" class="requiredField email tt-form-control tt-form-lg" placeholder="'.esc_attr__('Email *','renax').'" name="email" type="text" value="' . esc_attr(  $commenter['comment_author_email'] ) .'" size="40"/></div>',
)
),
'comment_field' => '<div class="col-md-12 form-group"><textarea id="comment" class="requiredField message tt-form-control" name="comment" cols="30" rows="4" placeholder="'.esc_attr__('Comment *','renax').'" aria-required="true"></textarea></div>',
'comment_notes_after' => '<div class="col-md-12"><button class="button-4">' . esc_html__( 'Post Comment', 'renax' ) . '</button></div>',
'title_reply' => '<span class="comment-title-area crunchify-text tt-post-comment-form-heading"> <span>' . esc_html__( 'Leave a Comment: ', 'renax' ) . '</span> '.'</span>'
);
comment_form($renax_args);
?>
</div>
</div>
