<?php 
$renax_options = get_option('renax');
global $renax_footer_address_link_target; 
?>
<!-- Footer -->
<footer class="footer clearfix">
    <div class="container">
		<?php if (Renax_AfterSetupTheme::return_thme_option('en_footer_contact_opt')=='st2'){ ?>
        <!-- First footer -->
        <div class="first-footer">
            <div class="row">
                <div class="col-md-12">
                    <div class="links dark footer-contact-links">
                        <div class="footer-contact-links-wrapper">
                            <?php if(!empty($renax_options['footer_phone_title'])) { ?>
							<div class="footer-contact-link-wrapper">
                                <div class="image-wrapper footer-contact-link-icon">
                                   <div class="icon-footer"> <i class="flaticon-phone-call"></i> </div>
                                </div>
                                <div class="footer-contact-link-content">
                                    <h6><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('footer_phone_title',''));?></h6>
                                    <?php if(!empty($renax_options['ft_phn_number1'])) { ?>
									<p><a href="tel:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('ft_phn_number1',''));?>"><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('ft_phn_number1',''));?></a></p>
									<?php } ;?> 
									<?php if(!empty($renax_options['ft_phn_number2'])){ ?>
									<p><a href="tel:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('ft_phn_number2',''));?>"><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('ft_phn_number2',''));?></a></p>
									<?php } ;?>
                                </div>
                            </div>
                            <div class="footer-contact-links-divider"></div>
							<?php } ; ?>
							<?php if(!empty($renax_options['footer_email_title'])) { ?>
                            <div class="footer-contact-link-wrapper">
                                <div class="image-wrapper footer-contact-link-icon">
                                    <div class="icon-footer"> <i class="omfi-envelope"></i> </div>
                                </div>
                                <div class="footer-contact-link-content">
                                    <h6><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('footer_email_title',''));?></h6>
                                    <?php if(!empty($renax_options['ft_email_address1'])){ ?>
									<p><a href="mailto:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('ft_email_address1',''));?>"><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('ft_email_address1',''));?></a></p>
									<?php } ;?> 
									<?php if(!empty($renax_options['ft_email_address2'])) { ?>
									<p><a href="mailto:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('ft_email_address2',''));?>"><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('ft_email_address2',''));?></a></p>
									<?php } ;?>
                                </div>
                            </div>
                            <div class="footer-contact-links-divider"></div>
							<?php } ;?>
							<?php if(!empty($renax_options['footer_address_title'])) { ?>
                            <div class="footer-contact-link-wrapper">
                                <div class="image-wrapper footer-contact-link-icon">
                                    <div class="icon-footer"> <i class="omfi-location"></i></div>
                                </div>
                                <div class="footer-contact-link-content">
                                    <h6><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('footer_address_title',''));?></h6>
									<?php if (Renax_AfterSetupTheme::return_thme_option('ft_address_link_target')=='st2'){ ?>  
										<?php $renax_footer_address_link_target = '_blank';?>
									<?php } else { ?> 
										<?php $renax_footer_address_link_target = '_self';?>
									<?php } ;?>					
                                    <?php if(!empty($renax_options['ft_address1'])) { ?>
									<p>
									<?php if(!empty($renax_options['ft_address1_link_url'])):?>
									<a href="<?php echo esc_url($renax_options['ft_address1_link_url']);?>" target="<?php echo esc_attr($renax_footer_address_link_target);?>"><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('ft_address1',''));?></a>
									<?php else : ?> 
									<?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('ft_address1',''));?>
									<?php endif;?> 
									</p>
									<?php } ;?>	
									<?php if(!empty($renax_options['ft_address2'])){ ?>
									<p class="mt-8">
									<?php if(!empty($renax_options['ft_address2_link_url'])):?>
									<a href="<?php echo esc_url($renax_options['ft_address2_link_url']);?>" target="<?php echo esc_attr($renax_footer_address_link_target);?>"><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('ft_address2',''));?></a>
									<?php else : ?> 
									<?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('ft_address2',''));?>
									<?php endif;?> 
									</p>	
									<?php } ;?>
                                </div>
                            </div>
							<?php } ;?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
		<?php } ;?>
		<?php if ( is_active_sidebar( 'sidebar-4' ) ) { ?>
        <!-- Second footer -->
        <div class="second-footer">
            <div class="row">
                <?php dynamic_sidebar( 'sidebar-4' ); ?>
            </div>
        </div>
		<?php } ;?>
        <!-- Bottom footer -->
		<?php renax_footer_text();?>
    </div>
</footer>
<?php wp_footer(); ?>
</body>
</html>