<?php 
$renax_options = get_option('renax');
get_header();
?>
<!-- Header Banner -->
<section class="banner-header section-padding bg-img" data-overlay-dark="5" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('404back','url'))):?> style="background-image:url(<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('404back','url'));?>);"<?php endif;?>>
    <div class="v-middle">
        <div class="container">
            <div class="row">
                <div class="col-md-12 text-center">
                    <<?php renax_index_subtitle_tag();?> class="rx-df-page-banner-subtitle"><?php esc_html_e('404 Page','renax');?></<?php renax_index_subtitle_tag();?>>
					<<?php renax_index_title_tag();?> class="rx-df-page-banner-title"><?php esc_html_e('Page not found','renax');?></<?php renax_index_title_tag();?>>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- divider line -->
<div class="line-vr-section"></div>
<!-- Not found 404 -->
<section class="not-found section-padding">
    <div class="container">
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-12 text-center">
                <h1><?php esc_html_e('404','renax');?></h1>
                <h3><?php esc_html_e('Sorry, We Can not Find That Page!','renax');?></h3>
                <p><?php esc_html_e('The page you are looking for was moved, removed, renamed or never existed.','renax');?></p>
                <div class="search-form">
                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                        <div class="form-group clearfix">
                            <input type="search" name="s" placeholder="<?php esc_attr_e('Search here','renax');?>" required>
                            <button type="submit" class="search-button"><span class="ti-search"></span></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- divider line -->
<div class="line-vr-section"></div>
<?php get_footer(); ?>	