<?php
add_action('wp_head', 'renax_custom_colors', 160);
function renax_custom_colors() { 
$renax_options = get_option('renax');
?>
 
<style type="text/css" class="renax-custom-dynamic-css">
<?php if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_theme_style',''))) { ?>
.rn-empty-menu-active-color .navbar .navbar-nav li.current-menu-ancestor > .nav-link i, .rn-empty-menu-active-color .navbar .navbar-nav li.current-menu-ancestor > .nav-link i, .rn-empty-menu-active-color .navbar .navbar-nav li.current-menu-parent > .nav-link i, .rn-empty-menu-active-color .navbar .navbar-nav .current-menu-item > a i, .rn-empty-menu-active-color .navbar .navbar-nav .nav-link:hover i, .rn-empty-menu-active-color .main-menu-hover li:hover .nav-dec, body.rn-empty-menu-active-color  .renax-menu-helper-class .current-menu-item > .nav-dec{color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_style',''));?>;}
<?php } ;?>
<?php if(!empty($renax_options['opt_logo_mobile_dimensions'])) { ?>
@media only screen and (max-width: 768px){
body .logo-img {
	height:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_logo_mobile_dimensions','height'));?>!important;
	width:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_logo_mobile_dimensions','width'));?>!important;
}
body .navbar .logo {
	height:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_logo_mobile_dimensions','height'));?>!important;
	width:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_logo_mobile_dimensions','width'));?>!important;
}
}
<?php } ;?>
<?php if (Renax_AfterSetupTheme::return_thme_option('header_nav_sticky')=='st2'){ ?> 
.nav-scroll {
	position: absolute!important;
}
<?php } ;?>
<?php
//logo control
if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_mobile_sticky_logo_spacing','margin-top'))) { ?>
@media only screen and (max-width: 1064px){
	.logo-holder {
		top:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_mobile_sticky_logo_spacing','margin-top'));?>;
	}
	.renax-header .renax-logo img {
		margin-top:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_mobile_sticky_logo_spacing','margin-top'));?>;
	}
}
<?php } ;?>
<?php 
//menu container width
if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_menu_max_width','width'))) { ?>
@media (min-width: 1200px) {
body .renax-classic-main:not(.nav-scroll) .container, .renax-header:not(.scrolled) .container {
    max-width: <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_menu_max_width','width'));?>!important;
}
}
<?php } ;?>
<?php if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_sticky_menu_max_width','width'))) { ?>
@media (min-width: 1200px) {
body .renax-classic-main.nav-scroll .container, .renax-header.scrolled .container{
    max-width: <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_sticky_menu_max_width','width'));?>!important;
}
}
<?php } ;?>
<?php 
//classic menu background
if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_menu_back_color','rgba'))) { ?>
<?php 
global $renax_pageids;
if(!empty(Renax_AfterSetupTheme::return_thme_option('renax_pageid',''))) { 
	$renax_pageids= esc_attr(Renax_AfterSetupTheme::return_thme_option('renax_pageid',''));
} else {
	$renax_pageids= '09890754678';
}
if ( ! empty( $renax_pageids ) ) { 
	$renax_pageids = explode( ',', $renax_pageids );
}
?>
<?php if (is_page( $renax_pageids  )) { ?>
<?php } else { ?>
@media screen and (min-width: 1064px) {
.navbar:not(.nav-scroll){
	background: <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_menu_back_color','rgba'));?>;
	padding-top:0px;
}
.bn-classic-main-wrapper .logo-wrapper{background:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_menu_back_color','rgba'));?>;}
}
<?php } } ;?>
<?php 
//back to top
if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_theme_site_to_top_progress_bar','rgba'))) { ?>
body .progress-wrap {
    -webkit-box-shadow: inset 0 0 0 1px <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_site_to_top_progress_bar','rgba'));?>;
    box-shadow: inset 0 0 0 1px <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_site_to_top_progress_bar','rgba'));?>;
}
<?php } ;?>
<?php 
//mobile menu wrapper
if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_menu_mob_wrapperdimensions','width'))) { ?>
@media screen and (max-width: 600px) {
body .main-menu{width:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_menu_mob_wrapperdimensions','width'));?>;}
}
@media screen and (max-width: 768px) {
body .renax-wrap{
	width:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_menu_mob_wrapperdimensions','width'));?>;
}
}
<?php } ;?>
<?php 
//regular menu icon
if(!empty(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_item','color'))) { ?>
.dropdown .nav-link i, .main-menu-click a.back:before, .renax-menu ul li:not(.current-menu-item) > .nav-dec, #renax-aside .renax-main-menu ul li:not(.current-menu-item) > .nav-dec, .dark-version .main-menu-click a.back:before{
	color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_item','color'));?>;
}
<?php } ;?>
<?php 
//hover/active menu icon
if(!empty(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_item_hover','color'))) { ?>
.navbar .navbar-nav li.current-menu-ancestor > .nav-link i, .navbar .navbar-nav li.current-menu-ancestor > .nav-link i, .navbar .navbar-nav li.current-menu-parent > .nav-link i, .navbar .navbar-nav .current-menu-item > a i, .navbar .navbar-nav .nav-link:hover i, .main-menu-hover li:hover .nav-dec, body .renax-menu-helper-class .current-menu-item > .nav-dec{color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_item_hover','color'));?>;}
<?php } ;?>
<?php 
//sticky regular menu icon
if(!empty(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_sticky','color'))) { ?>
.nav-scroll .dropdown .nav-link i{
	color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_sticky','color'));?>;
}
<?php } ;?>
<?php 
//sticky hover menu icon
if(!empty(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_sticky_hover','color'))) { ?>
.nav-scroll.navbar .navbar-nav li.current-menu-ancestor > .nav-link i, .nav-scroll.navbar .navbar-nav li.current-menu-ancestor > .nav-link i, .nav-scroll.navbar .navbar-nav li.current-menu-parent > .nav-link i, .nav-scroll.navbar .navbar-nav .current-menu-item > a i, .nav-scroll.navbar .navbar-nav .nav-link:hover i, .nav-scroll.main-menu-hover li:hover .nav-dec{
	color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_sticky_hover','color'));?>;
}
<?php } ;?>
<?php 
//mobile regular menu icon
if(!empty(Renax_AfterSetupTheme::return_thme_option('typography-a-navmenu-classic-mobile','color'))) { ?>
.main-menu.main-menu-hover-classic .nav-dec{
	color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('typography-a-navmenu-classic-mobile','color'));?>;
}
<?php } ;?>
<?php 
//mobile regular menu active icon
if(!empty(Renax_AfterSetupTheme::return_thme_option('typography-a-navmenu-classic-mobile-hov','color'))) { ?>
body .renax-menu-helper-class.menusb .current-menu-item > .nav-dec{
	color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('typography-a-navmenu-classic-mobile-hov','color'));?>;
}
<?php } ;?>
<?php 
//widget li icon
if(!empty(Renax_AfterSetupTheme::return_thme_option('typography_ft_wid_url_hover','color'))) { ?>
.footer-explore-list li a:before, .footer-widget-block li a:before{
	background-color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('typography_ft_wid_url_hover','color'));?>;
}
<?php } ;?>
<?php if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_theme_site_theme_preloader_shadow_bar','rgba'))) { ?>
body .preloader__pulse:before, body  .preloader__pulse:after,.version-light .preloader__pulse:before, .version-light .preloader__pulse:after{
	-webkit-box-shadow: 0 0 0 30px <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_site_theme_preloader_shadow_bar','rgba'));?>;
    box-shadow: 0 0 0 30px <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_site_theme_preloader_shadow_bar','rgba'));?>;
}
<?php };?>
<?php 
//hd_con_info
if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_hd_con_info_phone','color'))) { ?>
.navbar .navbar-right .wrap .icon{
	color:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_hd_con_info_phone','color'));?>;
}
<?php } ;?>
<?php 
//ft_foogter_li
if(!empty(Renax_AfterSetupTheme::return_thme_option('typographyfooter_wid_li_hover','color'))) { ?>
.footer-widget-area ul:not(.list-inline) li a:after{
	background:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('typographyfooter_wid_li_hover','color'));?>;
}
<?php } ;?>
<?php 
//ft_foogter_li
if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_theme_footer_a_url_border',''))) { ?>
.copyright p a{
	background: linear-gradient(to bottom, <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_footer_a_url_border',''));?> 0%, <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_footer_a_url_border',''));?> 100%);
	background-position: 0 100%;
    background-repeat: repeat-x;
    background-size: 1px 1px;
}
<?php } ;?>
<?php 
//ft_foogter_li
if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_theme_style',''))) { ?>
.rn-empty-footer-a-color .copyright p a{
	background: linear-gradient(to bottom, <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_style',''));?> 0%, <?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('opt_theme_style',''));?> 100%);
	background-position: 0 100%;
    background-repeat: repeat-x;
    background-size: 1px 1px;
}
<?php } ;?>
<?php if (Renax_AfterSetupTheme::return_thme_option('header_res_nav_sticky')=='st2'){ ?>
	@media only screen and (max-width: 1064px){
	.renax-mob-menu-wrapper.headroom--unpinned,
	.renax-mob-menu-wrapper.headroom--pinned {
		position:absolute!important;
		-webkit-transform: translateX(0);
		-ms-transform: translateX(0);
		transform: translateX(0);
	}
	}
<?php } else if (Renax_AfterSetupTheme::return_thme_option('header_res_nav_sticky')=='st3'){ ?>
	@media only screen and (max-width: 1064px){
	.renax-mob-menu-wrapper.headroom--unpinned{
		position:absolute!important;
		-webkit-transform: translateX(0);
		-ms-transform: translateX(0);
		transform: translateX(0);
	}
	}
<?php };?>
</style>
 
 <?php 
	}
?>
