/* -----------------------------------------------------------

[ Custom Settings ]

01. ScrollIt
02. Preloader
03. Navbar scrolling background
04. Close navbar-collapse when a clicked
05. Sections background image from data background 
06. Slider-Fade owlCarousel
07. Services owlCarousel
08. Services 2 owlCarousel
09. Team owlCarousel
10. Testimonials owlCarousel
11. Clients owlCarousel
12  Blog owlCarousel
13. MagnificPopup (Image, Youtube, Vimeo & Custom PopUp)
14. Accordion
15. Isotope Active Masonry Gallery
16. Animations
17. YouTubePopUp
18. Select2
19. Datepicker
20. Scroll back to top
21. Contact Form

----------------------------------------------------------- */
jQuery(function () {
    "use strict";
    var wind = jQuery(window);
    if (jQuery(".loadmore-wrapper-car-list").length) {
		  // init Isotope
		  var jQueryloadmorexen =jQuery('.container-after-car-list');
		  var jQuerycontainer = jQuery('.loadmore-wrapper-car-list').isotope({
			itemSelector: '.isotope-item',
			layoutMode: "packery",
			transitionDuration: "0.7s",
			percentPosition: true
		  });
		  jQuerycontainer.imagesLoaded(function () {
			 jQuerycontainer.isotope("layout");
		  });
		  
		// store filter for each group
		  var filters = {};

		  jQuery('.filters').on('click', 'input', function(){
			var jQuerythis = jQuery(this);
			//var selectGroup = $this.parents('.button-group');
			var filterGroup = jQuerythis.attr('data-filter-group');

			filters[ filterGroup ] = jQuerythis.val();

			var filterValue = concatValues( filters );

			jQuerycontainer.isotope({ filter: filterValue });

			console.log(filterGroup, filterValue);
		  });

		  // flatten object by concatting values
		  function concatValues( obj ) {
			var value = '';
			for ( var prop in obj ) {
			  value += obj[ prop ];
			}
			return value;
		  }
		   
	  

	  //****************************
	  // Isotope Load more button
	  //****************************
	  var itemcount = jQuery('.loadmore-wrapper-car-list').data('load-item');
	  var buttontext = jQuery('.loadmore-wrapper-car-list').data('button-text');
	  var initShow = itemcount; //number of items loaded on init & onclick load more button
	  var counter = initShow; //counter for load more button
	  var iso = jQuerycontainer.data('isotope'); // get Isotope instance

	  loadMore(initShow); //execute function onload

	  function loadMore(toShow) {
		jQuerycontainer.find(".hidden").removeClass("hidden");

		var hiddenElems = iso.filteredItems.slice(toShow, iso.filteredItems.length).map(function(item) {
		  return item.element;
		});
		jQuery(hiddenElems).addClass('hidden');
		jQuerycontainer.isotope('layout');

		//when no more to load, hide show more button
		if (hiddenElems.length == 0) {
		  jQuery(".iso-load-more-wrap-car-list").hide();
		  //jQuery(".full-width-section").addClass('xen-bottom-padding-120');
		} 
		else {
		  jQuery(".iso-load-more-wrap-car-list").show();
		};

	  }

	if (iso.filteredItems.length < initShow) {

	}
	else if (iso.filteredItems.length == initShow) {

	}

	else {

	//append load more button
	  jQueryloadmorexen.after('<div class="renax-more-wrapper-car-list text-center  iso-load-more-wrap-car-list" ><button class="button-4 "  id="load-more-car-list"><a> '+ buttontext +' </a></button></div>');
	}
	  //when load more button clicked
	  jQuery("#load-more-car-list").click(function() {
		if (jQuery('input').data('clicked')) {
		  //when filter button clicked, set initial value for counter
		  counter = initShow;
		  jQuery('input').data('clicked', false);
		} else {
		  counter = counter;
		};

		counter = counter + initShow;

		loadMore(counter);
	  });
	  //when filter button clicked
	 jQuery('.filters').on('click', 'input', function(){
	  jQuery(this).data('clicked', true);
		loadMore(initShow);
	  });
	}
});
