//   all ------------------
 function initrenax() {
    "use strict";
	// ==========================================================
	// Detect touch device and add class "is-touch" to </body>
	// ==========================================================// ==========================================================//
	var deviceAgent = navigator.userAgent.toLowerCase();
	var isTouchDevice = Modernizr.touch || (deviceAgent.match(/(iphone|ipod|ipad)/) || deviceAgent.match(/(android)/)  || deviceAgent.match(/(iemobile)/) || deviceAgent.match(/iphone/i) || deviceAgent.match(/ipad/i) || deviceAgent.match(/ipod/i) || deviceAgent.match(/blackberry/i) || deviceAgent.match(/bada/i));
	// Detect mobile device and add class "is-mobile" to </body>
	// ==========================================================
	if(isTouchDevice) {
		jQuery("body").addClass("is-touch");
	}
	// Detect mobile device (Do not remove!!!)
	var isMobile = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Nokia|Opera Mini/i.test(navigator.userAgent) ? true : false;

	// Add class "is-mobile" to </body>
	if(isMobile) {
		jQuery("body").addClass("is-mobile");
	}
	
    jQuery(".nav-button-wrap").on("click", function() {
       jQuery(".main-menu").toggleClass("vismobmenu");
       jQuery("body").toggleClass("temp-grayscale");
	});
	function mobMenuInit() {
        var ww = jQuery(window).width();
        if (ww < 1064) {
			//jQuery(".renax-classic-main-off").remove();
			jQuery(".renax-classic-main").addClass("renax-classic-main-off");
			jQuery(".renax-mob-menu-wrapper").removeClass("renax-classic-mob-off");
			jQuery(".renax-mob-menu-wrapper").removeClass("renax-mob-menu-ss");
			//jQuery(".menusb").remove();
            jQuery(".main-menu").removeClass("nav-holder");
            jQuery(".main-menu-click-classic nav").addClass("menusbc menusb");
            jQuery(".main-menu-hover-classic nav").addClass("menusb");
            jQuery("body:not(.page-template-onepage) .menusbc").menu();
			jQuery(".main-menu-hover-classic li").on("mouseenter", function() {
				jQuery(this).find("ul").stop().slideDown();
			});
			jQuery(".main-menu-hover-classic li").on("mouseleave", function() {
				jQuery(this).find("ul").stop().slideUp();
			});
			jQuery(".main-menu-hover-classic li ul").parent("li").append('<span class="nav-dec ti-angle-down"></span>');
			jQuery(".main-menu .nav-item:not(.menu-item-has-children) a, .main-menu li a.one-page-menu-item").on('click', function () {
				jQuery(".main-menu").removeClass("vismobmenu");
				jQuery("body").removeClass("temp-grayscale");
			});
         } else {
			jQuery(".renax-classic-main").removeClass("renax-classic-main-off");
			jQuery(".renax-mob-menu-wrapper").addClass("renax-classic-mob-off");
            //jQuery(".menusb").remove();
            jQuery(".main-menu").addClass("nav-holder");
         }
     }
     mobMenuInit();
     //   css ------------------
    jQuery(window).on("resize", function() {
        mobMenuInit();
	});		
    function sidebarMenuInit() {
        jQuery("body:not(.page-template-onepage) .main-menu-click").menu();
		// Sub Menu 
		jQuery('.renax-sidebar-sub-toggle li.menu-item-has-children>a').on('click', function () {
			jQuery(this).removeAttr('href');
			var element = jQuery(this).parent('li');
			if (element.hasClass('open')) {
				element.removeClass('open');
				element.find('li').removeClass('open');
				element.find('ul').slideUp();
			}
			else {
				element.addClass('open');
				element.children('ul').slideDown();
				element.siblings('li').children('ul').slideUp();
				element.siblings('li').removeClass('open');
				element.siblings('li').find('li').removeClass('open');
				element.siblings('li').find('ul').slideUp();
			}
		});
		jQuery('.renax-sidebar-sub-toggle>ul>li.menu-item-has-children>a').append('<span class="nav-dec ti-angle-down"></span>');
	}
    sidebarMenuInit();
	function initmenytype () {
		jQuery(".main-menu-hover li").on("mouseenter", function() {
		   jQuery(this).find("ul").stop().slideDown();
		});
		jQuery(".main-menu-hover li").on("mouseleave", function() {
		   jQuery(this).find("ul").stop().slideUp();
		});
		jQuery(".main-menu-hover li ul").parent("li").append('<span class="nav-dec ti-angle-down"></span>');
		jQuery(".renax-menu li:not(.menu-item-has-children) a, .renax-menu li a.one-page-menu-item").on('click', function () {
			jQuery('.renax-wrap').removeClass('renax-wrap-show');
            jQuery('body').removeClass('menu-open');
            jQuery('.renax-header').addClass('offsleep');
            jQuery('.renax-js-renax-nav-toggle').removeClass('active');
		});
		jQuery(".renax-main-menu li:not(.menu-item-has-children) a").on('click', function () {
			jQuery(".renax-nav-toggle").removeClass("active");
			jQuery("body").removeClass("offcanvas");
		});
	}
	initmenytype();
	jQuery(".js-headroom").headroom();
}

 //Init All Functions------------------
jQuery(window).on("load", function() {
    initrenax();
});