<?php
global $renax_options;
$renax_options = get_option('renax');
function renax_style() {
	//home
	wp_enqueue_style('renax-main', RENAX_THEME_URL . '/style.css', array(), RENAX_THEME_VERSION );
	if (Renax_AfterSetupTheme::return_thme_option('site_preloader')!='st2'){
		if (Renax_AfterSetupTheme::return_thme_option('opt_preloader_style')=='st2'){
			wp_enqueue_style('renax-preloader-style-2', RENAX_THEME_URL . '/includes/css/preloader-style-2.css', array(), RENAX_THEME_VERSION );
		}
		else {
			wp_enqueue_style('renax-preloader-style', RENAX_THEME_URL . '/includes/css/preloader-style.css', array(), RENAX_THEME_VERSION );
		}
	}
	wp_enqueue_style('bootstrap', RENAX_THEME_URL . '/includes/css/plugins/bootstrap.min.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('owl', RENAX_THEME_URL . '/includes/css/plugins/owl.carousel.min.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('owl-default', RENAX_THEME_URL . '/includes/css/plugins/owl.theme.default.min.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('animate', RENAX_THEME_URL . '/includes/css/plugins/animate.min.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('omfont', RENAX_THEME_URL . '/includes/css/plugins/omFont.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('renax-flaticon', RENAX_THEME_URL . '/includes/css/plugins/flaticon.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('themify-icons', RENAX_THEME_URL . '/includes/css/plugins/themify-icons.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('font-awesome-pro', RENAX_THEME_URL . '/includes/css/font-awesome-pro.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('magnific-popup', RENAX_THEME_URL . '/includes/css/plugins/magnific-popup.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('YouTubePopUp', RENAX_THEME_URL . '/includes/css/plugins/YouTubePopUp.css', array(), RENAX_THEME_VERSION );
	wp_enqueue_style('select2-renax', RENAX_THEME_URL . '/includes/css/plugins/select2.css', array(), RENAX_THEME_VERSION );
	wp_register_style('renax-datepicker', RENAX_THEME_URL . '/includes/css/plugins/datepicker.css', array(), RENAX_THEME_VERSION );
	wp_register_style('renax-map', RENAX_THEME_URL . '/includes/css/map.css', array(), RENAX_THEME_VERSION );
	wp_register_style('renax-vegas-slider', RENAX_THEME_URL . '/includes/css/plugins/vegas.slider.min.css', array(), RENAX_THEME_VERSION );
	wp_register_style('renax-custom-cursor', RENAX_THEME_URL . '/includes/css/renax-custom-cursor.css', array(), RENAX_THEME_VERSION);
	if (Renax_AfterSetupTheme::return_thme_option('theme_color_style')=='st2'){
		wp_enqueue_style('renax-theme-style', RENAX_THEME_URL . '/includes/css/dark-style.css', array(), RENAX_THEME_VERSION );
	}
	else {
		wp_enqueue_style('renax-theme-style', RENAX_THEME_URL . '/includes/css/light-style.css', array(), RENAX_THEME_VERSION );
	}
	if (class_exists('WooCommerce')) {
	wp_enqueue_style('renax-woocommerce', RENAX_THEME_URL . '/includes/css/renax-woocommerce.css', array(), RENAX_THEME_VERSION);
	}
	wp_enqueue_style('renax-main-style', RENAX_THEME_URL . '/includes/css/renax-main-style.css', array(), RENAX_THEME_VERSION );
	if ( is_rtl() ) {
	wp_enqueue_style('renax-rtl', RENAX_THEME_URL . '/includes/css/renax-rtl.css', array(), RENAX_THEME_VERSION);
	}
}
add_action('wp_enqueue_scripts', 'renax_style');

function renax_fonts_url() {
    $renax_font_url = '';
    $renax_font_url = add_query_arg( 'family','Outfit:300,400,500,600,700,800,900&display=swap' , "//fonts.googleapis.com/css" );
    if ( 'off' !== _x( 'on', 'Outfit font: on or off', 'renax' ) ) {
    }
    return $renax_font_url;
}

function renax_scripts() {
    wp_enqueue_style( 'renax_fonts', renax_fonts_url(), array(), '1.0.0' );
}
add_action( 'wp_enqueue_scripts', 'renax_scripts' );

function renax_enqueue_custom_admin_style() {
	wp_enqueue_style( 'renax_wp_admin_css', (RENAX_THEME_URL . '/includes/css/admin-style.css'), false, '1.0.0' );
}
add_action( 'admin_enqueue_scripts', 'renax_enqueue_custom_admin_style' );