<?php $renax_options = get_option('renax'); ?>
<?php
/*Template Name:One Page Template*/
get_header();
?>
<?php if(has_nav_menu('main-menu')) {?>
<?php 
    if ( ( $locations = get_nav_menu_locations() ) && $locations['main-menu'] ) {
        $menu = wp_get_nav_menu_object( $locations['main-menu'] );
        $menu_items = wp_get_nav_menu_items($menu->term_id);
        $include = array();
        foreach($menu_items as $item) {
            if($item->object == 'page')
                $include[] = $item->object_id;
        }
        $main_query = new WP_Query( array( 'post_type' => 'page', 'post__in' => $include, 'posts_per_page' => count($include), 'orderby' => 'post__in' ) );
    }
    
    $i = 0;
    while ($main_query->have_posts()) : $main_query->the_post();
    global $post, $separatepages;

    $post_name = $post->post_name;    
    $post_id = get_the_ID();
     ?>
	<?php $separatepages = get_post_meta($post->ID,'renax_open_page',true);
    if (($separatepages != true ))
    { ?> 	
<section id="<?php echo esc_attr($post->post_name);?>" class=" bn-<?php echo esc_attr($post->post_name);?>" data-scroll-index="<?php echo esc_attr($i);?>">
	<?php global $more; $more = 0; the_content('');?>
</section>
    <?php $i++;}  endwhile; wp_reset_postdata(); ?>
<?php } else { ?>
	<section class="banner-header-custom banner-header section-padding">
	    <div class="v-middle">
			<div class="container">
				<div class="row">
					<div class="col-md-12">
						<h6 class="banner-heading-subtitle-tag"><?php esc_html_e('Required','renax');?></h2>
						<h1 class="banner-heading-tag"><?php esc_html_e('Please select menu location as "One Page Menu" Location.','renax');?></h1>
						<a href="<?php echo esc_url(home_url('/')); ?>wp-admin/nav-menus.php" target="_blank" class="button-1 mt-15"><?php esc_html_e('Click Here','renax');?> <span class="ti-arrow-right"></span></a>
					</div>
				</div>
			</div>
		</div>
	</section>
<?php };?>
<?php get_footer(); ?>