<?php 
$renax_options = get_option('renax');
get_header();
?>
<!-- Header Banner -->
<section class="banner-header section-padding bg-img" data-overlay-dark="5" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('search_car_back','url'))) { ?>data-background="<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('search_car_back','url'));?>"<?php } ;?>>
    <div class="v-middle">
        <div class="container">
            <?php if(have_posts()) : ?>
			<div class="col-md-12 text-center">
                <<?php renax_index_subtitle_tag();?> class="rx-df-page-banner-subtitle"><?php esc_html_e('Search','renax');?></<?php renax_index_subtitle_tag();?>>
				<<?php renax_index_title_tag();?> class="rx-df-page-banner-title"><?php esc_html_e('Search Results','renax');?></<?php renax_index_title_tag();?>>
            </div>
			<?php else :?>
			<div class="col-md-12 text-center mb-30">
               <<?php renax_index_title_tag();?> class="rx-df-page-banner-title"><?php esc_html_e('No results found!','renax');?></<?php renax_index_title_tag();?>>
			   <<?php renax_index_subtitle_tag();?> class="rx-df-page-banner-subtitle"><?php esc_html_e('Please search for another Car.','renax');?></<?php renax_index_subtitle_tag();?>>
            </div>
			<?php renax_car_search_not_found_form();?>
			<?php endif;?>
        </div>
    </div>
</section>
<?php if(have_posts()) : ?>
<section class="cars2 section-padding">
    <div class="container">
        <div class="row">
            <?php if (Renax_AfterSetupTheme::return_thme_option('car_taxo_pages_search')!='st2'){ ?>
			<!-- Sidebar -->
            <div class="col-lg-4 col-md-12 mb-30">
                <?php renax_car_search_page_form();?>
            </div>
			<?php } ;?>
            <!-- Content -->
			<div class="<?php if (Renax_AfterSetupTheme::return_thme_option('car_taxo_pages_search')!='st2'){ ?>col-lg-8<?php } else {?>col-lg-12<?php };?> col-md-12 car-list">
                <div class="row">
                    <?php while (have_posts()) : the_post(); ?>
					<?php if (has_post_thumbnail( $post->ID ) ):
					$renax_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );?>
					<div class="<?php if (Renax_AfterSetupTheme::return_thme_option('car_taxo_pages_search')!='st2'){ ?>col-lg-6<?php } else {?><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('car_taxo_pages_car_columns',''));?><?php } ;?> col-md-12 mb-30">
                        <div class="item">
                            <figure class="position-re-order-car-list o-hidden">
								<div class="cd-pt-ab">
									<img src="<?php echo esc_url($renax_image[0]);?>" alt="<?php the_title_attribute();?>" class="img-fluid">
								</div>
							</figure>
                            <div class="content">
                                <div class="cont">
                                    <h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
                                    <?php if(get_post_meta($post->ID,'renax_opt_car_facilities',true)=='st2'){ ?>
										<?php
										if( function_exists( 'rwmb_meta' ) ) {
										$renax_fc_opts = rwmb_meta( 'renax_car_facilities' );
										if ( ! empty( $renax_fc_opts ) ) {
										foreach ( $renax_fc_opts as $renax_fc_opt ) { ;?>
										<?php $renax_icon = isset( $renax_fc_opt['renax_car_data_icon'] ) ? $renax_fc_opt['renax_car_data_icon'] : ''; ?>
										<?php $renax_title = isset( $renax_fc_opt['renax_car_data_title'] ) ? $renax_fc_opt['renax_car_data_title'] : ''; ?>
										<?php $renax_con = isset( $renax_fc_opt['renax_car_data_con'] ) ? $renax_fc_opt['renax_car_data_con'] : ''; ?>
										<?php if ( !empty( $renax_title ) ) { ?>
										<div class="features">
										<span>
										<?php if ( !empty( $renax_icon ) ) { ?>
										<i class="<?php echo esc_attr($renax_icon);?>"></i>
										<?php } ;?>										
										<?php echo esc_attr($renax_title);?></span>
                                            <p><?php echo esc_html($renax_con);?></p>
                                        </div>
										<?php } } } };?>
										<?php } ;?>
										
										<div class="book mt-30">
                                            <?php if(get_post_meta($post->ID,'renax_car_price',true)) { ?>
											<div>
                                                <div class="price"><?php echo esc_html(get_post_meta($post->ID,'renax_car_price',true));?> 
												<span><?php esc_html_e('/ day','renax');?></span>
												</div>
											</div>
											<?php } ;?>
											<a href="<?php the_permalink();?>" class="button-4"><?php esc_html_e('Details','renax');?></a>
										</div>
                                    </div>
                            </div>
                        </div>
                    </div>
					<?php endif;?>
					<?php endwhile; wp_reset_postdata(); ?>
                </div>
				<!-- Pagination -->
                <?php if (function_exists("renax_pagination")) {
					renax_pagination($wp_query->max_num_pages);
				}; ?>
            </div>
		</div>
    </div>
</section>
<?php else : ?>
<?php endif;?>		
<?php get_footer(); ?>