<?php global $renax_image;?>
<!-- Header Banner -->
<?php if (has_post_thumbnail( $post->ID ) ){
	$renax_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' ); 
};?>
<?php 
//title tag
global $renax_title_tag;
if(get_post_meta($post->ID,'renax_page_header_default_title_tag',true)=='h1') { 
	$renax_title_tag ='h1';
} 
else if(get_post_meta($post->ID,'renax_page_header_default_title_tag',true)=='h2') {
	$renax_title_tag ='h2';												
}
else if(get_post_meta($post->ID,'renax_page_header_default_title_tag',true)=='h3') {
	$renax_title_tag ='h3';												
}
else if(get_post_meta($post->ID,'renax_page_header_default_title_tag',true)=='h4') {
	$renax_title_tag ='h4';												
}
else if(get_post_meta($post->ID,'renax_page_header_default_title_tag',true)=='h5') {
	$renax_title_tag ='h5';												
}
else if(get_post_meta($post->ID,'renax_page_header_default_title_tag',true)=='h6') {
	$renax_title_tag ='h6';												
}
else {
	$renax_title_tag ='h1';
};
?>

<?php 
//sub title tag
global $renax_sub_title_tag;
if(get_post_meta($post->ID,'renax_page_header_default_subtitle_tag',true)=='h1') { 
	$renax_sub_title_tag ='h1';
} 
else if(get_post_meta($post->ID,'renax_page_header_default_subtitle_tag',true)=='h2') {
	$renax_sub_title_tag ='h2';												
}
else if(get_post_meta($post->ID,'renax_page_header_default_subtitle_tag',true)=='h3') {
	$renax_sub_title_tag ='h3';												
}
else if(get_post_meta($post->ID,'renax_page_header_default_subtitle_tag',true)=='h4') {
	$renax_sub_title_tag ='h4';												
}
else if(get_post_meta($post->ID,'renax_page_header_default_subtitle_tag',true)=='h5') {
	$renax_sub_title_tag ='h5';												
}
else if(get_post_meta($post->ID,'renax_page_header_default_subtitle_tag',true)=='h6') {
	$renax_sub_title_tag ='h6';												
}
else {
	$renax_sub_title_tag ='h5';
};
?>
<?php 
global $renax_image_position;
if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st1'){ 	$renax_image_position='center top ';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st2'){
	$renax_image_position='center center';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st3'){
	$renax_image_position='center left';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st4'){
	$renax_image_position='center right';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st5'){
	$renax_image_position='top center';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st6'){
	$renax_image_position='top left';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st7'){
	$renax_image_position='top right';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st8'){
	$renax_image_position='bottom center';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st9'){
	$renax_image_position='bottom left';
} 
else if(get_post_meta($post->ID,'renax_page_default_header_image_position_opt',true)=='st10'){
	$renax_image_position='bottom right';
} ;?>
<section class="banner-header section-padding bg-img back-position-center <?php echo esc_html(get_post_meta($post->ID,'renax_page_header_default_title_align',true));?>  <?php echo esc_html(get_post_meta($post->ID,'renax_page_default_header_img_parallax_opt',true));?>" <?php if(get_post_meta($post->ID,'renax_page_default_header_image_position',true)=='st11'){ ?>data-position="<?php echo esc_attr(get_post_meta($post->ID,'renax_page_default_header_image_position_custom_opt',true)); ?>" <?php } else { ?>data-position="<?php echo esc_attr($renax_image_position);?>"<?php } ;?> <?php if(get_post_meta($post->ID,'renax_page_header_default_padding',true)) { ?>data-padding="<?php echo esc_html(get_post_meta($post->ID,'renax_page_header_default_padding',true));?>px 0px"<?php } ;?> data-overlay-dark="<?php echo esc_attr(get_post_meta($post->ID,'renax_page_header_default_cap_overlay_opt',true));?>" 
<?php if( function_exists( 'rwmb_meta' ) ) { ?>
	<?php $renax_back_image = rwmb_meta( 'renax_page_header_default_background','type=image&size=' ); ?>
	<?php if ( ! empty( $renax_back_image ) ) { ?>
		<?php foreach ( $renax_back_image as $renax_back_images ){ ?>
			data-background="<?php echo esc_url(($renax_back_images['url']));?>"
		<?php } ;?>
	<?php } else { ?>
	<?php if (has_post_thumbnail( $post->ID ) ){ ?>
		data-background="<?php echo esc_url($renax_image[0]);?>"
	<?php } } ;?>
<?php } ;?>
>
    <div class="v-middle">
		<div class="container">
			<div class="row">
				<?php if(get_post_meta($post->ID,'renax_page_default_header_title_opt',true)!='st2'){ ?>
				<div class="<?php echo esc_html(get_post_meta($post->ID,'renax_page_header_default_title_width',true));?> <?php echo esc_html(get_post_meta($post->ID,'renax_page_header_default_title_offset',true));?> col-md-12 mt-30">
					<?php if (is_singular($post_types = 'post')) { ?>
						<div class="post-wrapper">
						<?php if(get_post_meta($post->ID,'renax_page_header_default_subtitle',true)) { ?>
							<<?php echo esc_attr($renax_sub_title_tag);?> class="rx-df-page-banner-subtitle"><?php echo esc_html(get_post_meta($post->ID,'renax_page_header_default_subtitle',true));?></<?php echo esc_attr($renax_sub_title_tag);?>>
						<?php } else { ?>
							
							<?php if (get_option('page_for_posts')) { ?>
							<a href="<?php echo esc_url(get_permalink( get_option( 'page_for_posts' ) )) ;?>">
							<?php echo esc_html(get_the_title( get_option( 'page_for_posts' ) )) ;?></a><?php } else { ?>
							<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
							<?php esc_html_e('Home','renax');?>
							</a>
							<?php } ;?>
							<div class="divider"></div>
							<div class="text-white"><?php echo wp_trim_words( get_the_title(), 3 ); ?></div>
						<?php } ;?>
						</div>
					<?php } else { ?>
						<?php if(get_post_meta($post->ID,'renax_page_header_default_subtitle',true)) { ?>
						<<?php echo esc_attr($renax_sub_title_tag);?> class="rx-df-page-banner-subtitle"><?php echo esc_html(get_post_meta($post->ID,'renax_page_header_default_subtitle',true));?></<?php echo esc_attr($renax_sub_title_tag);?>>
						<?php } ;?>
					<?php } ;?>
					<?php if(get_post_meta($post->ID,'renax_page_header_default_title',true)) { ?>
						<<?php echo esc_attr($renax_title_tag);?>  class="rx-df-page-banner-title"><?php echo do_shortcode(get_post_meta($post->ID,'renax_page_header_default_title',true));?></<?php echo esc_attr($renax_title_tag);?>>
					<?php } else { ?>
						<<?php echo esc_attr($renax_title_tag);?> class="rx-df-page-banner-title"><?php the_title();?></<?php echo esc_attr($renax_title_tag);?>>
					<?php } ;?>
				</div>
				<?php } ;?>
			</div>
		</div>
    </div>
</section>
 <!-- divider line -->
<div class="line-vr-section"></div>