<?php $renax_options = get_option('renax'); ?>
<!-- Navbar -->
<nav class="navbar navbar-expand-lg renax-classic-main renax-menu-helper-class">
    <div class="container">
        <!-- Logo -->
        <?php renax_logo();?>
        <!-- Menu -->
        <div class="collapse navbar-collapse <?php if ( is_rtl() ) { ?>justify-content-end<?php } ;?>" id="navbar">
            <ul class="navbar-nav <?php if ( !is_rtl() ) { ?>ms-auto<?php } ;?>">
				<?php
				$athers = array(
					'theme_location'  => 'top-menu',
					'menu'            => 'div',
					'container'       => 'ul',
					'container_class' => '',
					'menu_class'      => '',
					'menu_id'         => '',
					'echo'            => true,
					'fallback_cb'     => 'show_top_menu',
					'before'          => '',
					'after'           => '',
					'link_before'     => '',
					'link_after'      => '',
					'items_wrap'      => '%3$s',
					'depth'           => 0,
					'walker'          => new Renax_Classic_Walker
				);					

				if(has_nav_menu('main-menu')) {
					if(!has_nav_menu('top-menu')){
					$renax_menu_location = get_nav_menu_locations(); // Get our nav locations (set in our theme, usually functions.php)
					$renax_menuID = $renax_menu_location['main-menu']; // Get the *primary* menu ID
					$renax_nav_items = wp_get_nav_menu_items($renax_menuID);
					$renax_counter=0;
					$renax_count = count($renax_nav_items);
					$menu_item='';
					foreach ( $renax_nav_items as $renax_nav_item ) {
					$renax_separatepages = get_post_meta($renax_nav_item->object_id, "renax_open_page", true);
					$renax_varpost = get_post($renax_nav_item->object_id);
					$renax_menu_active='';
					if ($renax_counter == 0) {
					$renax_menu_active='active';	
					}
					if ( $renax_separatepages == true ) {
						$menu_item .='<li class="nav-item "><a href="'. esc_url( $renax_nav_item->url ) .'" class="nav-link '.esc_attr($renax_menu_active).'"> ' . apply_filters( 'the_title', $renax_nav_item->title, $renax_nav_item->ID ) . '</a></li>';
					}
					else  if($renax_nav_item->object != 'page'){
						$menu_item .='<li class="nav-item "><a href="'. esc_url( $renax_nav_item->url ) .'" class="nav-link  '.esc_attr($renax_menu_active).'"> ' . apply_filters( 'the_title', $renax_nav_item->title, $renax_nav_item->ID ) . '</a></li>';
					}
					else { 
						if (is_front_page()){
						$menu_item .='<li class="nav-item"><a  class="one-page-menu-item active nav-link '.esc_attr($renax_menu_active).'" href="#" data-scroll-nav="'.esc_attr($renax_counter).'"> ' . apply_filters( 'the_title', $renax_nav_item->title, $renax_nav_item->ID ) . '</a></li>';	
						}
						else {
							$menu_item .='<li class="nav-item "><a href="'. esc_url(home_url()).'/#'. $renax_varpost->post_name .'" class="nav-link  '.esc_attr($renax_menu_active).'" > ' . apply_filters( 'the_title', $renax_nav_item->title, $renax_nav_item->ID ) . '</a></li>';
						}
					}
					
					$renax_counter++;
					}
					echo $menu_item;
					}
					else{
					wp_nav_menu( $athers );	
					}
				}
				else if(has_nav_menu('top-menu')){
					wp_nav_menu( $athers );
				}
				;?>
				<?php 
				if (class_exists('WooCommerce')) {
				if (Renax_AfterSetupTheme::return_thme_option('catalog_mode_add_cart')!='st2'){
				?>
				<?php 
				global $pageids;
				if (Renax_AfterSetupTheme::return_thme_option('shop_tools_main_opt')=='st2'){
					$pageids= esc_attr(Renax_AfterSetupTheme::return_thme_option('pageid',''));
				} else {
					$pageids= '09890754678';
				}
				if ( ! empty( $pageids ) ) { 
					$pageids = explode( ',', $pageids );
				}
				?>
				<?php if (is_woocommerce() || is_product_category() || is_product_tag() || is_product() || is_cart() || is_checkout() || is_account_page() || is_page( $pageids  )) { ?>
				<li class="shop-tools-holder">
					<?php if (Renax_AfterSetupTheme::return_thme_option('shop_header_account')!='st2'){ ?>
					<a class="cart-mini-uri nav-link" title="<?php if ( ! is_user_logged_in() ) { ?><?php esc_html_e('Sign In','renax');?><?php } else { ?><?php esc_html_e('My Account','renax');?><?php };?>" href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><span class="icon ti-user cursor-pointer"></span></a>
					<?php } ;?>
					<?php if (Renax_AfterSetupTheme::return_thme_option('shop_header_cart')!='st2'){ ?>
					<a class="nav-link" title="<?php esc_html_e('Cart','renax');?>" href="<?php echo wc_get_cart_url() ?>"><span class="icon ti-shopping-cart cursor-pointer"></span></a>
					<?php } ;?>
				</li>
				<?php };?>
				<?php } } ;?>
            </ul>
			<?php if (Renax_AfterSetupTheme::return_thme_option('menu_contact_info')!='st1'){ ?>
            <div class="navbar-right">
				<div class="wrap">   
					<?php if(!empty($renax_options['hd_phone_number'])) { ?><a href="tel:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('hd_phone_number',''));?>"><div class="icon"><i class="flaticon-phone-call"></i> </div></a>
					<div class="text">
						<p><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('hd_phone_text',''));?></p>
						<h5><a href="tel:<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('hd_phone_number',''));?>"><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('hd_phone_number',''));?></a></h5>
					</div>	
					<?php } ;?>
				</div>
			</div>
			<?php } ;?>
        </div>
    </div>
</nav>
<!--mob menu---->
<div class="renax-mob-menu-wrapper renax-mob-menu-ss js-headroom">
	<!-- Logo -->
	<div class="logo-holder">
		<?php if(!empty(Renax_AfterSetupTheme::return_thme_option('logopic_mob','url'))) { ?>
		<div class="logo-wrapper">
		<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="logo"><img class="logo-img " src="<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('logopic_mob','url'));?>" alt="<?php  bloginfo('name'); ?>"></a>
		</div>
		<?php } else { ?>
		<?php renax_logo();?>
		<?php } ;?>
	</div>
	<!-- mobile nav -->
	<div class="nav-button-wrap">
		<div class="nav-button"><span></span><span></span><span></span></div>
	</div>
	<!-- mobile nav end-->				
	<!--  navigation -->
	<div class="nav-holder main-menu <?php if (Renax_AfterSetupTheme::return_thme_option('header_nav_parent_anchor')!='st2'){?>main-menu-click-classic<?php } else { ?>main-menu-hover-classic<?php } ;?>">
		<nav class="renax-menu-helper-class">
			<ul>
				<?php
				$athers = array(
					'theme_location'  => 'top-menu',
					'menu'            => 'div',
					'container'       => 'ul',
					'container_class' => '',
					'menu_class'      => '',
					'menu_id'         => '',
					'echo'            => true,
					'fallback_cb'     => 'show_top_menu',
					'before'          => '',
					'after'           => '',
					'link_before'     => '',
					'link_after'      => '',
					'items_wrap'      => '%3$s',
					'depth'           => 0,
					'walker'          => new Renax_Mobile_Walker
				);					
				if(has_nav_menu('main-menu')) {
					if(!has_nav_menu('top-menu')){
					$renax_menu_location = get_nav_menu_locations(); // Get our nav locations (set in our theme, usually functions.php)
					$renax_menuID = $renax_menu_location['main-menu']; // Get the *primary* menu ID
					$renax_nav_items = wp_get_nav_menu_items($renax_menuID);
					$renax_counter=0;
					$renax_count = count($renax_nav_items);
					$menu_item='';
					foreach ( $renax_nav_items as $renax_nav_item ) {
					$renax_separatepages = get_post_meta($renax_nav_item->object_id, "renax_open_page", true);
					$renax_varpost = get_post($renax_nav_item->object_id);
					$renax_menu_active='';
					if ($renax_counter == 0) {
					$renax_menu_active='active';	
					}
					if ( $renax_separatepages == true ) {
						$menu_item .='<li class="nav-item "><a href="'. esc_url( $renax_nav_item->url ) .'" class="nav-link   '.esc_attr($renax_menu_active).'"> ' . apply_filters( 'the_title', $renax_nav_item->title, $renax_nav_item->ID ) . '</a></li>';
					}
					else  if($renax_nav_item->object != 'page'){
						$menu_item .='<li class="nav-item "><a href="'. esc_url( $renax_nav_item->url ) .'" class="nav-link  '.esc_attr($renax_menu_active).'"> ' . apply_filters( 'the_title', $renax_nav_item->title, $renax_nav_item->ID ) . '</a></li>';
					}
					else { 
						if (is_front_page()){
						$menu_item .='<li class="nav-item"><a  class="one-page-menu-item active nav-link '.esc_attr($renax_menu_active).'" href="#" data-scroll-nav="'.esc_attr($renax_counter).'"> ' . apply_filters( 'the_title', $renax_nav_item->title, $renax_nav_item->ID ) . '</a></li>';	
						}
						else {
							$menu_item .='<li class="nav-item "><a href="'. esc_url(home_url()).'/#'. $renax_varpost->post_name .'" class="nav-link  '.esc_attr($renax_menu_active).'" > ' . apply_filters( 'the_title', $renax_nav_item->title, $renax_nav_item->ID ) . '</a></li>';
						}
					}
					
					$renax_counter++;
					}
					echo $menu_item;
					}
					else{
					wp_nav_menu( $athers );	
					}
				}
				else if(has_nav_menu('top-menu')){
					wp_nav_menu( $athers );
				} 
				;?>
				<?php 
				if (class_exists('WooCommerce')) {
				?>
				<?php 
				global $pageids;
				if (Renax_AfterSetupTheme::return_thme_option('shop_tools_main_opt')=='st2'){
					$pageids= esc_attr(Renax_AfterSetupTheme::return_thme_option('pageid',''));
				} else {
					$pageids= '09890754678';
				}
				if ( ! empty( $pageids ) ) { 
					$pageids = explode( ',', $pageids );
				}
				?>
				<?php if (is_woocommerce() || is_product_category() || is_product_tag() || is_product() || is_cart() || is_checkout() || is_account_page() || is_page( $pageids  )) { ?>
				<li class="shop-tools-holder">
					<?php if (Renax_AfterSetupTheme::return_thme_option('shop_header_account')!='st2'){ ?>
					<a class="cart-mini-uri nav-link" title="<?php if ( ! is_user_logged_in() ) { ?><?php esc_html_e('Sign In','renax');?><?php } else { ?><?php esc_html_e('My Account','renax');?><?php };?>" href="<?php echo get_permalink( get_option('woocommerce_myaccount_page_id') ); ?>"><span class="icon ti-user cursor-pointer"></span></a>
					<?php } ;?>
					<?php if (Renax_AfterSetupTheme::return_thme_option('shop_header_cart')!='st2'){ ?>
					<a class="nav-link" title="<?php esc_html_e('Cart','renax');?>" href="<?php echo wc_get_cart_url() ?>"><span class="icon ti-shopping-cart cursor-pointer"></span></a>
					<?php } ;?>
				</li>
				
				<?php };?>
				<?php } ;?>
				
			</ul>
		</nav>
	</div>
</div>
