<?php
/**
 * Product Loop Start
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/loop-start.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://woocommerce.com/document/template-structure/
 * @package     WooCommerce\Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
?>
<?php
wp_enqueue_script('imagesloaded');
wp_enqueue_script('isotope');
wp_enqueue_script('packery-mode');
wp_enqueue_script('car-cat-load-more');
?>
<div class="container-after-car">
<ul class="products columns-<?php echo esc_attr( wc_get_loop_prop( 'columns' ) ); ?> row isotope-items-wrap-car  no-hide-last loadmore-wrapper-car" data-load-item="20000000000000000" data-button-text="<?php esc_html_e('Load More','renax'); ?>">
